/*
 * Class WEL_NM_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_57 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_57 [] = {0xFF01,1551,56,0xFFFF};
static const EIF_TYPE_INDEX egt_2_57 [] = {0xFF01,56,0xFFFF};
static const EIF_TYPE_INDEX egt_3_57 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_57 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_57 [] = {0xFF01,56,0xFFFF};
static const EIF_TYPE_INDEX egt_6_57 [] = {0xFF01,56,0xFFFF};
static const EIF_TYPE_INDEX egt_7_57 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_57 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_57 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_57 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_57 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_57 [] = {0xFF01,56,0xFFFF};


static const struct desc_info desc_57[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_57), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_57), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_57), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_57), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_57), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_57), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_57), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_57), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_57), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_57), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_57), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_57), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x71 /*56*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_57), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 775, 0xFFFFFFFF},
};
void Init57(void)
{
	IDSC(desc_57, 0, 56);
	IDSC(desc_57 + 1, 1, 56);
	IDSC(desc_57 + 32, 1180, 56);
}


#ifdef __cplusplus
}
#endif
